# Uses of Class
org.eclipse.swt.widgets.Button

Packages that use Button
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.about
Application programming interfaces for interaction with and extension of the Eclipse Platform About dialog.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.views.markers
Utility classes for working with markers in views

## Uses of Button in org.eclipse.debug.ui

Fields in org.eclipse.debug.ui declared as Button
Modifier and Type
Field
Description
`protected Button`
EnvironmentTab.`appendEnvironment`
`protected Button`
EnvironmentTab.`envAddButton`
`protected Button`
EnvironmentTab.`envCopyButton`
`protected Button`
EnvironmentTab.`envEditButton`
`protected Button`
EnvironmentTab.`envPasteButton`
`protected Button`
EnvironmentTab.`envRemoveButton`
`protected Button`
EnvironmentTab.`envSelectButton`
`protected Button`
EnvironmentTab.`replaceEnvironment`
Methods in org.eclipse.debug.ui that return Button
Modifier and Type
Method
Description
`protected Button`
AbstractLaunchConfigurationTab.`createCheckButton(Composite parent, String label)`
Creates and returns a new check button with the given label.
`protected Button`
AbstractLaunchConfigurationTab.`createPushButton(Composite parent, String label, Image image)`
Creates and returns a new push button with the given label and/or image.
`protected Button`
AbstractLaunchConfigurationTab.`createRadioButton(Composite parent, String label)`
Creates and returns a new radio button with the given label and/or image.

## Uses of Button in org.eclipse.jface.dialogs

Fields in org.eclipse.jface.dialogs declared as Button
Modifier and Type
Field
Description
`protected Button`
ProgressMonitorDialog.`cancel`
The Cancel button control.
Methods in org.eclipse.jface.dialogs that return Button
Modifier and Type
Method
Description
`protected Button`
Dialog.`createButton(Composite parent, int id, String label, boolean defaultButton)`
Creates a new button with the given id.
`protected Button`
MessageDialog.`createButton(Composite parent, int id, String label, boolean defaultButton)`
`protected Button`
PlainMessageDialog.`createButton(Composite parent, int id, String label, boolean defaultButton)`
`protected Button`
MessageDialogWithToggle.`createToggleButton(Composite parent)`
Creates a toggle button without any text or state.
`protected Button`
Dialog.`getButton(int id)`
Returns the button created by the method `createButton` for the specified ID as defined on `IDialogConstants`.
`protected Button`
MessageDialog.`getButton(int index)`
Gets a button in this dialog's button bar.
`protected Button`
Dialog.`getCancelButton()`
Deprecated.
Use `getButton(IDialogConstants.CANCEL_ID)` instead.
`protected Button`
InputDialog.`getOkButton()`
Returns the ok button.
`protected Button`
Dialog.`getOKButton()`
Deprecated.
Use `getButton(IDialogConstants.OK_ID)` instead.
`protected Button`
MessageDialogWithToggle.`getToggleButton()`
Returns the toggle button.
Methods in org.eclipse.jface.dialogs with parameters of type Button
Modifier and Type
Method
Description
`protected void`
Dialog.`setButtonLayoutData(Button button)`
Set the layout data of the button to a GridData with appropriate heights and widths.
`protected GridData`
DialogPage.`setButtonLayoutData(Button button)`
Sets the `GridData` on the specified button to be one that is spaced for the current dialog page units.
`protected void`
Dialog.`setButtonLayoutFormData(Button button)`
Set the layout data of the button to a FormData with appropriate heights and widths.
`protected void`
MessageDialog.`setButtons(Button... buttons)`
A mutator for the array of buttons in the button bar.
`protected void`
MessageDialogWithToggle.`setToggleButton(Button button)`
A mutator for the button providing the toggle option.

## Uses of Button in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return Button
Modifier and Type
Method
Description
`protected Button`
ListEditor.`getAddButton()`
Return the Add button.
`protected Button`
PreferencePage.`getApplyButton()`
Returns the Apply button.
`Button`
ColorSelector.`getButton()`
Get the button control being wrappered by the selector.
`protected Button`
BooleanFieldEditor.`getChangeControl(Composite parent)`
Returns the change button for this field editor.
`protected Button`
ColorFieldEditor.`getChangeControl(Composite parent)`
Returns the change button for this field editor.
`protected Button`
FontFieldEditor.`getChangeControl(Composite parent)`
Returns the change button for this field editor.
`protected Button`
StringButtonFieldEditor.`getChangeControl(Composite parent)`
Get the change control.
`protected Button`
PreferencePage.`getDefaultsButton()`
Returns the Restore Defaults button.
`protected Button`
ListEditor.`getDownButton()`
Return the Down button.
`protected Button`
ListEditor.`getRemoveButton()`
Return the Remove button.
`protected Button`
ListEditor.`getUpButton()`
Return the Up button.
Methods in org.eclipse.jface.preference with parameters of type Button
Modifier and Type
Method
Description
`protected void`
FieldEditor.`setButtonLayoutData(Button button)`
Set the GridData on button to be one that is spaced for the current font.

## Uses of Button in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Button
Modifier and Type
Method
Description
`protected Button`
DialogCellEditor.`createButton(Composite parent)`
Creates the button for this cell editor under the given parent control.

## Uses of Button in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard that return Button
Modifier and Type
Method
Description
`protected Button`
WizardDialog.`getButton(int id)`
Return the cancel button if the id is a the cancel id.
Methods in org.eclipse.jface.wizard with parameters of type Button
Modifier and Type
Method
Description
`protected void`
WizardDialog.`setButtonLayoutData(Button button)`

## Uses of Button in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Button
Modifier and Type
Method
Description
`Button`
Decorations.`getDefaultButton()`
Returns the receiver's default button if one had previously been set, otherwise returns null.
Methods in org.eclipse.swt.widgets with parameters of type Button
Modifier and Type
Method
Description
`void`
Decorations.`setDefaultButton(Button button)`
If the argument is not null, sets the receiver's default button to the argument, and if the argument is null, sets the receiver's default button to the first button which was set as the receiver's default button (called the saved default button).

## Uses of Button in org.eclipse.ui.about

Methods in org.eclipse.ui.about that return Button
Modifier and Type
Method
Description
`protected Button`
InstallationPage.`createButton(Composite parent, int id, String label)`
Creates a new button with the given id.
Methods in org.eclipse.ui.about with parameters of type Button
Modifier and Type
Method
Description
`void`
IInstallationPageContainer.`registerPageButton(InstallationPage page, Button button)`
Register a button as belonging to a particular page in the container.

## Uses of Button in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return Button
Modifier and Type
Method
Description
`protected Button`
ProjectLocationSelectionDialog.`createButton(Composite parent, int id, String label, boolean defaultButton)`
`protected Button`
WizardExportResourcesPage.`createButton(Composite parent, int id, String label, boolean defaultButton)`
Creates a new button with the given id.
`Button`
SelectionDialog.`getOkButton()`
Returns the ok button.

## Uses of Button in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Button
Modifier and Type
Method
Description
`Button`
FormToolkit.`createButton(Composite parent, String text, int style)`
Creates a button as a part of the form.

## Uses of Button in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers with parameters of type Button
Modifier and Type
Method
Description
`protected void`
FilterConfigurationArea.`setButtonLayoutData(Button button)`
Set the standard button data for the button.